| Qore MysqlSqlUtil Module Reference 1.4.2

Public Member Functions | Protected Member Functions | List of all members
MysqlSqlUtil::MysqlFunction Class Reference

represents a MySQL-specific function More...

Inherits AbstractFunction.

## Public Member Functions
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the function in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop the function from the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the function in the database More...

## Protected Member Functions
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a MySQL-specific function

## Member Function Documentation

## ◆ getDropSql()

string MysqlSqlUtil::MysqlFunction::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the function from the database

Parameters

  opt | this argument is ignored

## ◆ getRenameSql()

softlist MysqlSqlUtil::MysqlFunction::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

returns a string that can be used to rename the function in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored